Subject: bug#25988: python2-urwid tests fail

From: [email-masked] (Ludovic Courtès)
Date: Wed, 19 Apr 2017 23:22:18 +0200

Hi Maxim,

Maxim Cournoyer <[email-masked]> skribis:

> Maxim Cournoyer <[email-masked]> writes:
>
>> Hi,
>>
>> I'm currently facing test failures from the python2-urwid package
>> required to build wicd. The errors are:
>>
>> test_run (urwid.tests.test_event_loops.SelectEventLoopTest) ... ok
>>
>> ======================================================================
>> FAIL: test_horizontal_resize (urwid.tests.test_vterm.TermTest)
>> ----------------------------------------------------------------------
>> Traceback (most recent call last):
>>   File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_vterm.py", line 169, in test_horizontal_resize
>>     + '3-' + ' ' * 76 + '-4')
>>   File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_vterm.py", line 120, in expect
>>     self.assertEqual(got, what, desc)
>> AssertionError: Expected:
>> '1-                                                                            -2\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n3-                                                                            -4'
>> Got:
>> 'Traceback (most recent call last):\n  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/vterm.py", l\nine 1389, in spawn\n    self.command()\n  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_v\nterm.py", line 44, in __call__\n    data = os.read(self.reader, 1024)\nOSError: [Errno 4] Interrupted system call'
>>
>> ======================================================================
>> FAIL: test_vertical_resize (urwid.tests.test_vterm.TermTest)
>> ----------------------------------------------------------------------
>> Traceback (most recent call last):
>>   File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_vterm.py", line 186, in test_vertical_resize
>>     self.expect('\n' * (y - 2) + '3-' + ' ' * 76 + '-4', desc)
>>   File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_vterm.py", line 120, in expect
>>     self.assertEqual(got, what, desc)
>> AssertionError: try to rescale to 80x22.
>> Expected:
>> '\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n3-                                                                            -4'
>> Got:
>> '\n\n\n\n\n\n\n\n\n\n\n3-                                                                            -4\n\nTraceback (most recent call last):\n  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/vterm.py", l\nine 1389, in spawn\n    self.command()\n  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_v\nterm.py", line 44, in __call__\n    data = os.read(self.reader, 1024)\nOSError: [Errno 4] Interrupted system call'
>>
>> ----------------------------------------------------------------------
>> Ran 278 tests in 1.073s
>>
>> FAILED (failures=2)
>> phase `check' failed after 5.2 seconds
>> builder for `/gnu/store/d3nn0jqa41d7i28qvs78np7mcii2ljn2-python2-urwid-1.3.1.drv' failed with exit code 1
>> @ build-failed /gnu/store/d3nn0jqa41d7i28qvs78np7mcii2ljn2-python2-urwid-1.3.1.drv - 1 builder for `/gnu/store/d3nn0jqa41d7i28qvs78np7mcii2ljn2-python2-urwid-1.3.1.drv' failed with exit code 1
>> guix build: error: build failed: build of `/gnu/store/d3nn0jqa41d7i28qvs78np7mcii2ljn2-python2-urwid-1.3.1.drv' failed
>
>
> The same problem occurred again today while attempting to reconfigure my
> system (same errors, while attempting to build the same python2-urwid
> dependency of wicd).
>
> I wonder why there are so such failures on hydra
> (https://hydra.gnu.org/job/gnu/master/python2-urwid-1.3.1.x86_64-linux). I
> also wonder why my system is trying to build this package if it already
> exists on Hydra. I have both the bayfront & gnu mirror substitute
> servers enabled.

I’ve seen the failure once and it succeeded on a subsequent rebuild, so
I came to the conclusion that this is a non-deterministic failure.  That
would explain why the problem doesn’t show up on Hydra.

Does it fail systematically for you?

Thanks,
Ludo’.